package com.ynet.life.sujrb.controller;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.session.InvalidSessionException;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.gene.web.servlet.mvc.BizLogicException;
import com.ynet.gene.web.servlet.mvc.GENEFlowExecuteResult;
import com.ynet.gene.web.servlet.mvc.InvalidInputException;
import com.ynet.life.mvc.SimpleRequest;
import com.ynet.life.mvc.TextView;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_sujrb_controller.jar:com/ynet/life/sujrb/controller/JRBTextViewRequestController.class */
public class JRBTextViewRequestController extends PerPlatCommonRequestController {
    public String contentType = "text";

    protected ModelAndView executeTheFlow(HttpServletRequest request, HttpServletResponse response) throws Exception {
        Context sessionContext = null;
        Session session = initSession(request, response);
        if (session != null) {
            sessionContext = (Context) session.getAttribute(GENEConstance.ATTR_CONTEXT);
        }
        if (isCheckDuplicateSubmit()) {
            doCheckDuplicateSubmit(request, response);
        }
        String actionId = (String) request.getAttribute(GENEConstance.ATTR_ACTIONID);
        SimpleRequest simpleRequest = (SimpleRequest) this.simpleRequests.get(actionId);
        Map model = new HashMap();
        model.put(GENEConstance.ATTR_CONTEXT, sessionContext);
        GENEFlowExecuteResult result = executeGENELogic(sessionContext, request, response);
        model.put(GENEConstance.ATTR_CONTEXT, result.context);
        model.put(GENEConstance.ATTR_FLOW_OUTPUT, result.flow.getOutput(simpleRequest.getOpId()));
        if (result.e != null) {
            if (result.e instanceof InvalidInputException) {
                result.e.setModel(model);
                throw result.e;
            }
            if (result.e instanceof InvalidSessionException) {
                this.sessionManager.removeSession(session);
                throw new BizLogicException(model, result.e);
            }
            throw new BizLogicException(model, result.e);
        }
        TextView view = new TextView();
        view.setContentType(this.contentType);
        return new ModelAndView(model, view);
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }
}
